
JARS - Task #514

Milestone # 126 (New): HARDWARE

Task # 169 (Closed): Diseñar routing de la tarjeta Bus

Revisión de circuito impreso prototipo_bus_board del proyecto JARS2.0

04/05/2016 05:17 PM - John Rojas

Status: Closed Start date: 04/05/2016

Priority: Normal Due date: 05/02/2016

Assignee: John Rojas % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Versión 2.0 Spent time: 0.00 hour

Description

History

#1 - 04/06/2016 12:12 PM - John Rojas

- File BusBoard2channels.sch added

- File BusBoard2channels.brd added

Herramienta de software de diseño de PCBs

Eagle 7.5

Funcionalidad

La tarjeta forma parte del sistema de adquisición JARS 2.0 que consiste en el primer prototipo de la tarjeta Bus para la validación de funcionamiento

del nuevo diseño de tarjetas de adquisición, así como para el test de la interface LVDS usado para la configuración y adquisición de datos de las

tarjetas receptoras.

La tarjeta consta de 4 capas distribuidas en la forma Signal, GND, VDD, Signal y ha sido diseñada para que la implementación sea realizada por

OshPark (US).

La tarjeta tiene las siguientes funciones:

Funcion Descripcion

1 Recepción de señales del controlador Recepción de señales CLK, SYNC y WIN del

CR

2 Recepción de comandos del SP601 Recepción de comandos a través de LVDS

3 Transferencia de datos al SP601 Transferencia de datos a través de LVDS

4 Adquisición de datos Lectura de datos de tarjetas de adquisición

Entradas y salidas de alimentación

5V_INPUT_SUPPLY 9V_INPUT_SUPPLY VCCIO VCCINT

Tipo Entrada Entrada Salida Salida

Voltaje 5V 9V 3.3V 1.2V

Señales de RF o señales críticas del circuito

CLK CLK_LVDS DATA_TRANS_LVDS DATA_PROG_LVDS

Frecuencia 60MHz 240MHz Salida Entrada

Naturaleza Senoidal Diferencial Bus Diferencial Bus Diferencial

Impedancia de la línea 50 100 100 100

Nivel DC 0 1.25 1.25 1.25

05/21/2024 1/5



Consideraciones adicionales

* Las pistas diferenciales para la comunicación con la tarjeta SP601 se matchearon para que tengan la misma longitud y evitar retard

* La tarjeta solo será compatible para su uso con la tarjeta de adquisición v2.0

* Las especificaciones del fabricante para tarjetas de 4 capas son las siguientes:

Ancho de pistas mínimo: 1.6mm

Espacio mínimo entre pistas: 5mil

Mínimo drill / ancho de anillo: 10 mil / 4 mil

#2 - 04/13/2016 04:27 PM - Joaquín Verástegui

Observación Señal o componente asociado Resultado

En la capa VCC hay un polígono que no está

bien definido, hay que cambiar el valor del

parámetro  rank, el valor de rank del polígono

que encierra a otro polígono debe ser el mayor

para que no se  crucen las pistas. Esto se hace

con el botón "Info". Revisar que todos los

polígonos cumplan esto.

VCC

En todos los polígonos hay que definir un valor

de isolate, parece que el valor más adecuado

es 10mil.

-

La posición de la bobina de la entrada de 5

voltios debe ser en serie, y sólo después de

esta bobina se debe conectar cualquier

componente del circuito. La idea es que sirva

de protección.

L1

Revisar las restricciones de fabricación de

OSH Park (https://oshpark.com/guidelines) el

circuito  debe cumplir con todas estas

restricciones.

-

Las lineas de bus que van al header de la

tarjeta de adquisición debe tener un ángulo

correcto, el  ángulo con el que llegan algunas a

los pines hace que la corriente tenga que

retornar y cambiar de  dirección, lo mejor es

que tenga la misma dirección, o en todo caso

un ángulo recto, es mejor tener  dos ángulos

rectos a uno agudo.

-

Ordenar los nombres y valores de los

componentes para que se puedan visualizar y

leer bien a la hora de imprimirlos en la tarjeta.

-

Todas las entradas externas deberían pasar

por un buffer para conformar bien la señal y por

protección también.

-
#3 - 04/13/2016 04:27 PM - Joaquín Verástegui

- Assignee changed from Joaquín Verástegui to John Rojas

#4 - 04/18/2016 09:31 AM - John Rojas

- File BusBoard.sch added

- File BusBoard.brd added

- Due date changed from 04/12/2016 to 04/18/2016

- Status changed from New to In progress

Resultados de la corrección del PCB prototipo_bus_board de acuerdo al levantamiento de las observaciones:

Observación Señal o componente asociado Resultado

En la capa VCC hay un polígono que no está

bien definido, hay que cambiar el valor del

parámetro rank, el valor de rank del polígono

que encierra a otro polígono debe ser el mayor

para que no se crucen las pistas. Esto se hace

con el botón "Info". Revisar que todos los

polígonos cumplan esto.

VCC Se cambió el valor del parámetro rank de la

capa VCC a 2, ya que contiene la capa VCCIO,

la cual tiene como valor de rank 1.

En todos los polígonos hay que definir un valor

de isolate, parece que el valor más adecuado

es 10mil.

- Se definió el valor de isolate a 10 mil.

La posición de la bobina de la entrada de 5

voltios debe ser en serie, y sólo después de

esta bobina se debe conectar cualquier

componente del circuito. La idea es que sirva

de protección.

L1 - Se reubicó la bobina de entrada en serie con

la entrada de +5V y luego de ellaconectar otros

circuitos. - Se adicionó una bobina de entrada

en serie con la entrada de +9V para luego

conectar otros circuitos.

Revisar las restricciones de fabricación de

OSH Park (https://oshpark.com/guidelines) el

circuito debe cumplir con todas estas

restricciones.

- Se revisó y aplicó las restricciones de

fabricación de OSH Park.

Las lineas de bus que van al header de la

tarjeta de adquisición debe tener un ángulo

correcto, el ángulo con el que llegan algunas a

los pines hace que la corriente tenga que

retornar y cambiar de dirección, lo mejor es

que tenga la misma dirección, o en todo caso

un ángulo recto, es mejor tener dos ángulos

rectos a uno agudo.

- Se modificó el ángulo de las líneas de datos

que van al header de la tarjeta de adquisición

en una ruta más directa.

Ordenar los nombres y valores de los

componentes para que se puedan visualizar y

leer bien a la hora de imprimirlos en la tarjeta.

- Se ordenaron los nombres de los componentes

para su identificación a la hora de imprimir en

la tarjeta.

Todas las entradas externas deberían pasar

por un buffer para conformar bien la señal y por

protección también.

- Se agregaron buffers a las entradas de las

señales SYNC y WIN para conformar bien la

señal y como protección.
#5 - 04/18/2016 10:20 AM - Joaquín Verástegui

- Assignee changed from John Rojas to Joaquín Verástegui

#6 - 04/18/2016 12:52 PM - Joaquín Verástegui

Observación Señal o componente asociado Resultado

Colocar mas vias en el polígono de VCCIO

conectado a L2, de este polígono o de esta

bobina sale toda la corriente que requiere

VCCIO.

VCCIO

Conectar el polígono 3_3_SW con la pista que

conecta L2 con IC2.

3_3_SW

Los polígonos +5V y +9V deben tener un valor

de isolate. En este caso deberían tener el valor

de 8 para que puedan distribuirse entre los

conectores.

+5V y +9V

#7 - 04/18/2016 12:54 PM - Joaquín Verástegui

- Assignee changed from Joaquín Verástegui to John Rojas

#8 - 04/18/2016 02:36 PM - John Rojas

- File BusBoard.brd added

- File BusBoard.sch added

Resultados de corrección del PCB prototipo_bus_board de acuerdo al levantamiento de las observaciones:

Observación Señal o componente asociado Resultado

Colocar mas vias en el polígono de VCCIO

conectado a L2, de este polígono o de esta

bobina sale toda la corriente que requiere

VCCIO.

VCCIO Se colocaron más vías en el polígono de

VCCIO para una mejor distribución de la salida

de corriente de 3.3V.

Conectar el polígono 3_3_SW con la pista que

conecta L2 con IC2.

3_3_SW Se modificó el nombre de la pista que une L2

con IC2 a 3_3_SW.

Los polígonos +5V y +9V deben tener un valor

de isolate. En este caso deberían tener el valor

de 8 para que puedan distribuirse entre los

conectores.

+5V y +9V Se modificó el valor del isolate de los polígonos

+5V y + 9V al valor de 8 para distribuir entre los

respectivos pines conectores del header.
#9 - 04/25/2016 08:50 AM - John Rojas

- Due date changed from 04/18/2016 to 04/25/2016

- % Done changed from 0 to 90

25/04/2016: Corrección de PCB de acuerdo al levantamiento de observaciones del revisor.

#10 - 05/25/2016 01:34 PM - John Rojas

- Due date changed from 04/25/2016 to 05/02/2016

- Status changed from In progress to Closed

- % Done changed from 90 to 100

-02/05/2016: Se terminó la revisión y corrección de la tarjeta prototipo de Bus para su fabricación.

Files

BusBoard2channels.sch 937 KB 04/06/2016 John Rojas

BusBoard2channels.brd 542 KB 04/06/2016 John Rojas

BusBoard.sch 948 KB 04/18/2016 John Rojas

BusBoard.brd 557 KB 04/18/2016 John Rojas

BusBoard.brd 558 KB 04/18/2016 John Rojas

BusBoard.sch 948 KB 04/18/2016 John Rojas
